Skip to main content

Numeric config

Table of contents​

  1. Workstation Basket Count

1. Number of basket loaded​

What it does​

This configuration defines how many baskets can be loaded into the workstation context

Value​

"receiptHistoryCount": {
"value": 2
}

Scope​

Applies to: 🔒 Tenant level

API requests for configuring values​

Set values​

caution

When using the set request, all numeric settings of this type will be overwritten with the provided values.
If you intend to change only specific settings, consider using the update request instead.

  • Permission required ["ccc.configuration.update"]
curl --location --request PUT 'https://ccc-api.retailsvc.com/api/v1/config/att.numeric-config.v1/values/tenant' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <IAM_TOKEN>' \
--data-raw '{
"value": {
"receiptHistoryCount": {
"value": 2
}
}
}'

Update values​

  • Permission required ["ccc.configuration.update"]
curl --location --request PATCH 'https://ccc-api.retailsvc.com/api/v1/config/att.numeric-config.v1/values/tenant?replaceExistingPatch=false&calculateDiff=false&dryRun=false' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <IAM_TOKEN>' \
--data-raw '{
"value": {
"receiptHistoryCount": {
"value": 2
}
}
}'

Get configured values​

  • Permission required ["ccc.configuration.get"]
curl --location 'https://ccc-api.retailsvc.com/api/v1/config/att.numeric-config.v1/values/tenant?tags=%3Cstring%3E&tags=%3Cstring%3E&getPatch=false' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <IAM_TOKEN>'

Delete configured values​

caution

Calling delete on this configuration kind will remove all configurations.

  • Permission required ["ccc.configuration.delete"]
curl --location --request DELETE 'https://ccc-api.retailsvc.com/api/v1/config/att.numeric-config.v1/values/tenant' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <IAM_TOKEN>'